Upgrade to 15.5 SP2 failure

Discussion in '3CX Phone System - General' started by AKn, Feb 23, 2018.

Thread Status:
Not open for further replies.
  1. AKn

    AKn

    Joined:
    Feb 23, 2018
    Messages:
    3
    Likes Received:
    0
    Hi all,

    Getting:
    ERROR: ExecuteScript returns FAIL: Npgsql.PostgresException (0x80004005): 23505: duplicate key value violates unique constraint "parameter_name_key"

    During the database script it appears....Any suggestions or ideas?

    TIA
     
  2. Saqqara

    Saqqara Active Member

    Joined:
    Mar 12, 2014
    Messages:
    877
    Likes Received:
    135
    What version are you upgrading from ?
     
  3. AKn

    AKn

    Joined:
    Feb 23, 2018
    Messages:
    3
    Likes Received:
    0
    15.5.3849.1 --> 15.5.6354.2
     
  4. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,443
    Likes Received:
    282
    Hello @AKn

    This error usually appears when you downgraded the PBX using a backup from a higher version and then tried to upgrade again. Did that happen in any of the previous service packs?
     
  5. AKn

    AKn

    Joined:
    Feb 23, 2018
    Messages:
    3
    Likes Received:
    0
    I had to change my license, it is exactly that situation!
     
  6. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,443
    Likes Received:
    282
    I am afraid that you will need to open a ticket with our support department so they can see what parameter is giving this error and help you correct it. For now you can re-install your backup to 15.5.3849.1 so that you have a working PBX.
     
Thread Status:
Not open for further replies.